javax.batch.api.listener

## Interface StepListener

All Known Implementing Classes:
  AbstractStepListener

    public interface StepListener

StepListener intercepts step execution.

### Method Summary

Methods
`void` `afterStep()` The afterStep method receives control after a step execution ends.
`void` `beforeStep()` The beforeStep method receives control before a step execution begins.

### Method Detail

#### beforeStep

    void beforeStep()
                    throws Exception

The beforeStep method receives control before a step execution begins.

Throws:
  `Exception` - throw if an error occurs.

#### afterStep

    void afterStep()
                   throws Exception

The afterStep method receives control after a step execution ends.

Throws:
  `Exception` - throw if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0